resolve(3z)

NAME
resolve - convert hostname to IP address

SYNOPSIS
#include <net/resolv.h>

ipaddr_t resolve(char *name);

DESCRIPTION
The resolve() function queries any configured nameservers for the IP address of the host with the name name.

If name is in the form a.b.c.d then this is converted to an IP address and returned.

RETURN VALUE
resolv() returns the network order IP address of the requested host. If the name cannot be resolved then NULL is returned.

resolv() may also be called by the macro gethostbyname

BUGS
If you use the macro gethostbyname then beware that the ZSock implementation is not at all standard.

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>